DiskBackupStatus (Apache Geode 1.3.0)
Date: 2017-10-26

org.apache.geode.management

## Class DiskBackupStatus

- java.lang.Object
- - org.apache.geode.management.DiskBackupStatus

-     public class DiskBackupStatus
      extends java.lang.Object

  Composite data type used to distribute the status of disk backup operations.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskBackupStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String[]>` | `getBackedUpDiskStores()` Returns a map of member names/IDs and the `PersistentID` of the disk stores that were backed up.
    `java.lang.String[]` | `getOfflineDiskStores()` Returns a list of directories for the disk stores that were off-line at the time the backup occurred.
    `void` | `setBackedUpDiskStores(java.util.Map<java.lang.String,java.lang.String[]> backedUpDiskStores)` Sets the map of member names/IDs and the `PersistentID` of the disk stores that were backed up.
    `void` | `setOfflineDiskStores(java.lang.String[] offlineDiskStores)` Sets the list of directories for the disk stores that were off-line at the time the backup occurred.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiskBackupStatus

          public DiskBackupStatus()

  - ### Method Detail

    - #### getBackedUpDiskStores

          public java.util.Map<java.lang.String,java.lang.String[]> getBackedUpDiskStores()

      Returns a map of member names/IDs and the `PersistentID` of the disk stores that were backed up.

    - #### getOfflineDiskStores

          public java.lang.String[] getOfflineDiskStores()

      Returns a list of directories for the disk stores that were off-line at the time the backup occurred.

    - #### setBackedUpDiskStores

          public void setBackedUpDiskStores(java.util.Map<java.lang.String,java.lang.String[]> backedUpDiskStores)

      Sets the map of member names/IDs and the `PersistentID` of the disk stores that were backed up.

    - #### setOfflineDiskStores

          public void setOfflineDiskStores(java.lang.String[] offlineDiskStores)

      Sets the list of directories for the disk stores that were off-line at the time the backup occurred.